import request from '@/utils/request'

// 查询测点管理列表
export function listPitSurveyPoint(query) {
  return request({
    url: '/device/pitSurveyPoint/list',
    method: 'get',
    params: query
  })
}

// 查询测点管理详细
export function getPitSurveyPoint(id) {
  return request({
    url: '/device/pitSurveyPoint/' + id,
    method: 'get'
  })
}

// 新增测点管理
export function addPitSurveyPoint(data) {
  return request({
    url: '/device/pitSurveyPoint',
    method: 'post',
    data: data
  })
}

// 修改测点管理
export function updatePitSurveyPoint(data) {
  return request({
    url: '/device/pitSurveyPoint',
    method: 'put',
    data: data
  })
}

// 删除测点管理
export function delPitSurveyPoint(id) {
  return request({
    url: '/device/pitSurveyPoint/' + id,
    method: 'delete'
  })
}
